Subject: bug#801: [devuan-dev] bug#801: Suspend/wake problem: screens do not come back

From: tempforever <[email-masked]>
Date: Thu, 23 Nov 2023 21:22:22 -0500

Hendrik Boom wrote:
> On Thu, Nov 23, 2023 at 05:59:22PM -0500, tempforever wrote:
>> Package: xserver-xorg-core
>> Version: 2:21.1.7-3+deb12u2devuan1
>>
>> Please close this bug report.  It seems to have been related to certain
>> kernel cmdline options I had in place; removing them resolved the issue.
>>  I have upgraded xserver-xorg-core on other systems and had no problem
>> with suspend/resume.
> It could be useful to others to post a description of those kernel command-line options in the bug tracker before closing the bug.
>
> -- hendrik
>
I previously had:
GRUB_CMDLINE_LINUX_DEFAULT="quiet modprobe.blacklist=nouveau
acpi_enforce_resources=lax nordrand ipv6.disable=1 apparmor=0
amd_iommu=on iommu=pt"

with these options, my video was not coming back correctly upon resume
after suspend with the recent xserver-xorg-core updates.

From my notes, I had added "acpi_enforce_resources=lax" for an earlier
kernel, to work with X570 chipset sensors
kernel 5.9 was giving a warning about RDRAND, so I had added "nordrand"
at that point.
I had been experimenting with some iommu things previously (which I am
not doing anymore), so I had added "amd_iommu=on" and "iommu=pt"

My current cmdline is:
GRUB_CMDLINE_LINUX_DEFAULT="quiet modprobe.blacklist=nouveau
ipv6.disable=1 apparmor=0"

with these options, my video is correctly coming back upon resume after
suspend, and with the recent xerver-xorg-core updates.  I am not having
problems with sensors being detected or RDRAND warnings.

If it would be of any actual help, I could re-enable those options
one-at-a-time to see which one(s) cause the problem, but as it is I
don't need any of them anymore and am satisfied to leave them all out.